Bug 98618 - Cannot register with error class code 19
Cannot register with error class code 19
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rhn_register (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-07-05 08:12 EDT by James Ho
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-08 10:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ho 2003-07-05 08:12:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020501

Description of problem:
I just purchased the RedHat Linux Enterprise AS and installed it. When I
register at the website (www.redhat.com/now) as instructed, there is no problem.
But when I run the rhn_register at my installed server, I get the error.

Error Message:
Your account does not have access to any channels matching
release='2.1AS', arch='i686-redhat-linux')
Error Class Code: 19
Error Class Info:
Architecture and OS version combination is not supported.
If you have a registration number, please register with it
first at http://www.redhat.com/now and then try again.
An error has occurred while processing your request. If this
persists please submit a bug report to rhn-help@redhat.com.
If you choose to submit the bug report, please be sure to include
details of what you were trying to do when this error occurred and
details on how to reproduce this problem.

When I try to register again at the website, it tells me that my Product Id has
already been registered. So I'm at a deadend.

How do I proceed? Is there a way I can download the update RPM manually and
update it myself instead of going thru this?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Just register with rhn_register in Linux AS 2.1

Additional info:
Comment 1 Suzanne Hillman 2003-08-08 10:47:55 EDT
This appears to be something that support needs to deal with, and not a bug. If
this is still a problem, please contact support directly.

Note You need to log in before you can comment on or make changes to this bug.